Bug 22744 - Remove confusing 'Do not notify' checkboxes from messaging preferences
Summary: Remove confusing 'Do not notify' checkboxes from messaging preferences
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords: additional_work_needed
Depends on:
Blocks:
 
Reported: 2019-04-19 15:26 UTC by Nick Clemens
Modified: 2019-10-17 19:41 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 22744: Rename 'Do no notify' to 'Clear' (3.58 KB, patch)
2019-04-19 15:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: Rename 'Do no notify' to 'Clear' (3.63 KB, patch)
2019-04-23 16:26 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22774 - (QA follow-up) make "clear" a little more specific (1.36 KB, patch)
2019-04-23 16:26 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22744: Make checkboxes links (2.77 KB, patch)
2019-06-10 13:04 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: Name the column clear (1.24 KB, patch)
2019-06-13 10:52 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: Rename 'Do no notify' to 'Clear' (3.63 KB, patch)
2019-06-13 10:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22774 - (QA follow-up) make "clear" a little more specific (1.36 KB, patch)
2019-06-13 10:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: Make checkboxes links (2.77 KB, patch)
2019-06-13 10:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: Name the column clear (1.24 KB, patch)
2019-06-13 10:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: [alternate] Remove the 'do not notify' buttons (1.81 KB, patch)
2019-06-13 10:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: Rename 'Do no notify' to 'Clear' (3.68 KB, patch)
2019-09-06 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22744: Rename 'Do no notify' to 'Clear' (3.68 KB, patch)
2019-09-06 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22774 - (QA follow-up) make "clear" a little more specific (1.42 KB, patch)
2019-09-06 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22744: Make checkboxes links (2.83 KB, patch)
2019-09-06 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22744: Name the column clear (1.30 KB, patch)
2019-09-06 13:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22744: [alternate] Remove the 'do not notify' buttons (1.87 KB, patch)
2019-09-06 13:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22744: Remove the 'do not notify' buttons (1.85 KB, patch)
2019-09-21 17:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: Remove the 'do not notify' buttons (1.85 KB, patch)
2019-09-23 10:25 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22744: Changes for opac and remove JS (4.95 KB, patch)
2019-09-23 10:25 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-04-19 15:26:59 UTC
'Do not notify' in messages sort of hints that messages will be prevented, however, when checked it simply clear the other boxes.

Hold notices wil generate print even when nothing is selected, so we shouldn't imply that there is an 'Opt out'/'Do not notify' (see bug 5501 for that)

The goal of this bug is to simply rename this option
Comment 1 Nick Clemens 2019-04-19 15:28:57 UTC
Created attachment 88357 [details] [review]
Bug 22744: Rename 'Do no notify' to 'Clear'

To test:
1 - Enable enhanced messaging prefs
2 - Allow users to set their messaging on the opac
3 - Edit a patron and check 'Do not notify'
4 - Save and note the box is empty if editing again
5 - Same on opac
6 - Apply patch
7 - Repeat and note the option now says 'Clear'
8 - Confirm this makes more sense
Comment 2 Liz Rea 2019-04-23 16:26:40 UTC
Created attachment 88534 [details] [review]
Bug 22744: Rename 'Do no notify' to 'Clear'

To test:
1 - Enable enhanced messaging prefs
2 - Allow users to set their messaging on the opac
3 - Edit a patron and check 'Do not notify'
4 - Save and note the box is empty if editing again
5 - Same on opac
6 - Apply patch
7 - Repeat and note the option now says 'Clear'
8 - Confirm this makes more sense

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Liz Rea 2019-04-23 16:26:55 UTC
Created attachment 88535 [details] [review]
Bug 22774 - (QA follow-up) make "clear" a little more specific

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 4 Christopher Brannon 2019-04-23 17:40:21 UTC
Not to nit-pick, but wouldn't make more sense for this to be a button or link that clears the check boxes?  It's kind of weird to have a checkbox do this.  Especially since the checkbox isn't going to retain a setting.
Comment 5 Katrin Fischer 2019-04-23 19:44:49 UTC
It's a little long. Maybe "Clear preferences" would work too?

I think the reason it's not a button is that you still need to save the changes. Maybe a "Clear settings" or "Clear preferences" link like we have on the z39.50 form?
Comment 6 Nick Clemens 2019-06-10 13:04:16 UTC
Created attachment 90454 [details] [review]
Bug 22744: Make checkboxes links
Comment 7 Katrin Fischer 2019-06-13 06:04:27 UTC
Sorry, still not quite happy:

The table is labelled "messaging preferences" but the colunn uses "notification perference". I think it's prefer to have it just say "Clear", but if we want the longer version, it should use the same terminology (think translators).

Should the days in advance be reset? I feel it's not strictly necessary, but noting.

Please also fix the subject line on the second patch!
Comment 8 Katrin Fischer 2019-06-13 06:06:22 UTC
It might be questionable if we need the column at all? There are not that many columns to not be able to uncheck them quickly. (just a side note as this feature seems more confusing than helpful atm)
Comment 9 Katrin Fischer 2019-06-13 08:51:28 UTC
bug 5501 seems a possible duplicate (just found it by accident, didn't read all the discussion)
Comment 10 Nick Clemens 2019-06-13 10:52:58 UTC
Created attachment 90568 [details] [review]
Bug 22744: Name the column clear
Comment 11 Nick Clemens 2019-06-13 10:54:06 UTC
Created attachment 90569 [details] [review]
Bug 22744: Rename 'Do no notify' to 'Clear'

To test:
1 - Enable enhanced messaging prefs
2 - Allow users to set their messaging on the opac
3 - Edit a patron and check 'Do not notify'
4 - Save and note the box is empty if editing again
5 - Same on opac
6 - Apply patch
7 - Repeat and note the option now says 'Clear'
8 - Confirm this makes more sense

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 12 Nick Clemens 2019-06-13 10:54:09 UTC
Created attachment 90570 [details] [review]
Bug 22774 - (QA follow-up) make "clear" a little more specific

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 13 Nick Clemens 2019-06-13 10:54:11 UTC
Created attachment 90571 [details] [review]
Bug 22744: Make checkboxes links
Comment 14 Nick Clemens 2019-06-13 10:54:14 UTC
Created attachment 90572 [details] [review]
Bug 22744: Name the column clear
Comment 15 Nick Clemens 2019-06-13 10:58:37 UTC
Created attachment 90574 [details] [review]
Bug 22744: [alternate] Remove the 'do not notify' buttons

These checkboxes are simply a way to clear the prefs before editing. We are not saving
a lot of click, and we are confusing people, this patch simply removes them

To test:
1 - Edit a patron's messaging preferences
2 - Think too hard about the 'Do not notify' boxes
3 - Feel confused
4 - Apply this patch
5 - Edit a patron's messaging preferences
6 - Confirm it feels better
Comment 16 Nick Clemens 2019-06-13 11:01:48 UTC
(In reply to Katrin Fischer from comment #9)
> bug 5501 seems a possible duplicate (just found it by accident, didn't read
> all the discussion)

Bug 5501 goes the other way - it seeks to actually add a way to prevent sending notifications to the patron all together. Actually implementing 'Do not notify' as an option and not a clear button
Comment 17 Martin Renvoize 2019-07-16 13:31:18 UTC
So this is more of a 'Reset to defaults' type option right?

Katrin.. are you keen on the alternative or would you prefer the original but worded as accurately as possible.. I'm confused..
Comment 18 Kyle M Hall 2019-09-06 13:19:05 UTC
Created attachment 92642 [details] [review]
Bug 22744: Rename 'Do no notify' to 'Clear'

To test:
1 - Enable enhanced messaging prefs
2 - Allow users to set their messaging on the opac
3 - Edit a patron and check 'Do not notify'
4 - Save and note the box is empty if editing again
5 - Same on opac
6 - Apply patch
7 - Repeat and note the option now says 'Clear'
8 - Confirm this makes more sense

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 19 Kyle M Hall 2019-09-06 13:19:25 UTC
Created attachment 92643 [details] [review]
Bug 22744: Rename 'Do no notify' to 'Clear'

To test:
1 - Enable enhanced messaging prefs
2 - Allow users to set their messaging on the opac
3 - Edit a patron and check 'Do not notify'
4 - Save and note the box is empty if editing again
5 - Same on opac
6 - Apply patch
7 - Repeat and note the option now says 'Clear'
8 - Confirm this makes more sense

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 20 Kyle M Hall 2019-09-06 13:19:33 UTC
Created attachment 92644 [details] [review]
Bug 22774 - (QA follow-up) make "clear" a little more specific

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

https://bugs.koha-community.org/show_bug.cgi?id=22744

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 21 Kyle M Hall 2019-09-06 13:19:36 UTC
Created attachment 92645 [details] [review]
Bug 22744: Make checkboxes links

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 22 Kyle M Hall 2019-09-06 13:19:39 UTC
Created attachment 92646 [details] [review]
Bug 22744: Name the column clear

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 23 Kyle M Hall 2019-09-06 13:20:20 UTC
Created attachment 92647 [details] [review]
Bug 22744: [alternate] Remove the 'do not notify' buttons

These checkboxes are simply a way to clear the prefs before editing. We are not saving
a lot of click, and we are confusing people, this patch simply removes them

To test:
1 - Edit a patron's messaging preferences
2 - Think too hard about the 'Do not notify' boxes
3 - Feel confused
4 - Apply this patch
5 - Edit a patron's messaging preferences
6 - Confirm it feels better

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 24 Kyle M Hall 2019-09-06 13:20:58 UTC
Both versions are good imo. Leaving it to the RM to decide imo :)
Comment 25 Martin Renvoize 2019-09-12 16:34:00 UTC
I prefer the 'alternate'.. i.e. removing the column altogether pending 5501 being worked on to properly implement the feature... however.. that patch needs some more work as it does not currently include the OPAC.
Comment 26 Bouzid Fergani 2019-09-13 19:58:17 UTC
Hi,
Thanks to rebase this patch for testing.

Bug 22744 - 'Do not notify' is really a 'Clear' option

92643 - Bug 22744: Rename 'Do no notify' to 'Clear'
92644 - Bug 22774 - (QA follow-up) make "clear" a little more specific
92645 - Bug 22744: Make checkboxes links
92646 - Bug 22744: Name the column clear
92647 - Bug 22744: [alternate] Remove the 'do not notify' buttons

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 22744: Rename 'Do no notify' to 'Clear'
Applying: Bug 22774 - (QA follow-up) make "clear" a little more specific
Applying: Bug 22744: Make checkboxes links
Applying: Bug 22744: Name the column clear
Applying: Bug 22744: [alternate] Remove the 'do not notify' buttons
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/includes/messaging-preference-form.inc
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/includes/messaging-preference-form.inc
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/includes/messaging-preference-form.inc
error: Failed to merge in the changes.
Patch failed at 0001 Bug 22744: [alternate] Remove the 'do not notify' buttons
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-22744-alternate-Remove-the-do-not-notify-butto-rf3GDD.patch

Bouzid.
Comment 27 Nick Clemens 2019-09-21 17:46:13 UTC
Created attachment 93109 [details] [review]
Bug 22744: Remove the 'do not notify' buttons

These checkboxes are simply a way to clear the prefs before editing. We are not saving
a lot of click, and we are confusing people, this patch simply removes them

To test:
1 - Edit a patron's messaging preferences
2 - Think too hard about the 'Do not notify' boxes
3 - Feel confused
4 - Apply this patch
5 - Edit a patron's messaging preferences
6 - Confirm it feels better

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 28 Nick Clemens 2019-09-23 10:25:53 UTC
Created attachment 93114 [details] [review]
Bug 22744: Remove the 'do not notify' buttons

These checkboxes are simply a way to clear the prefs before editing. We are not saving
a lot of click, and we are confusing people, this patch simply removes them

To test:
1 - Edit a patron's messaging preferences
2 - Think too hard about the 'Do not notify' boxes
3 - Feel confused
4 - Apply this patch
5 - Edit a patron's messaging preferences
6 - Confirm it feels better

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 29 Nick Clemens 2019-09-23 10:25:57 UTC
Created attachment 93115 [details] [review]
Bug 22744: Changes for opac and remove JS
Comment 30 Martin Renvoize 2019-09-23 10:58:11 UTC
Nice work!

Pushed to master for 19.11.00
Comment 31 Fridolin SOMERS 2019-09-24 07:26:17 UTC
Pushed to 19.05.x for 19.05.04
Comment 32 Lucas Gass 2019-10-17 19:41:21 UTC
backported to 18.11.x for 18.11.11